
import zero.resource.*

def onWebUINotification() {
		def assignee = zget("/event/attributes#assignTo")
		def title = zget("/event/attributes#title")
		def activityName = zget("/event/activityName")
		// resource URL to access the webUI activity
		def activityURL = zget("/event/activityLocation")
		def activityStatus = zget("/event/status")
			
		def collection = TypeCollection.retrieve('todo')
		if(activityStatus == "start") {
			// create todo item
			Member item = collection.create([title:title, assignee:assignee, start_date: new Date(), status: "New", location: activityURL])
			// store item id
			zput("/event/result", [dataId: item.id])
				
		} else if (activityStatus == "complete") {
			// get stored data
			def itemId = zget("/event/result#dataId")
			// update todo item
			Member item = collection.retrieve(itemId)
			item.status = "Complete"
			collection.update(item)
		}
			
		// prevent default email notification
		zput("/event/isNotified", true);
}

